# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
Name:           nyquist
Version:        3.04
Release:        alt1_7b
Summary:        Sound synthesis and composition language with a Lisp syntax

Group:          Sound
License:        BSD
URL:            http://www-2.cs.cmu.edu/~music/music.software.html
Source0:        http://www-2.cs.cmu.edu/~music/nyquist/nyqsrc304b.zip
Source1:        Makefile
BuildRequires:  libalsa-devel
BuildRequires:  liblo-devel
BuildRequires:  libportaudio2-devel
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  dos2unix
Requires:       java >= 1.6.0
Source44: import.info

%description
Nyquist is a language for sound synthesis and music
composition. Unlike score languages that tend to deal only with
events, or signal processing languages that tend to deal only with
signals and synthesis, Nyquist handles both in a single integrated
system. Nyquist is also flexible and easy to use because it is based
on an interactive Lisp interpreter.


%prep
%setup -q -n nyquist
cp %{SOURCE1} .

# remove cvs cruft
find -name CVS | xargs rm -fr
# add opt flags
sed -i "s|^CFLAGS =|CFLAGS = $RPM_OPT_FLAGS |" misc/Makefile
# remove dos paths that cause warnings
sed -i 's|(setdir ".:.*")||' runtime/fileio.lsp
# fix some permission
find -name "*.lsp" | xargs chmod 0644
sed -i 's|"./ny"|"ny"|' jnyqide/NyquistThread.java
# change end-of-line
find -name "*.htm*" \
    -or -name "*.lsp" \
    -or -name "*.txt" \
    -or -name "*.ny" \
    -or -name "*.dat" -exec dos2unix -q '{}' \;

%build
rm -f runtime/system.lsp
make %{?_smp_mflags} OPT="$RPM_OPT_FLAGS" -f Makefile


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nyquist
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nyquist/java
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}

cp -pr runtime $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -pr lib $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -pr demos $RPM_BUILD_ROOT%{_datadir}/nyquist
cp -p ny $RPM_BUILD_ROOT%{_libexecdir}
cp -p jnyqide/jNyqIDE.jar $RPM_BUILD_ROOT%{_datadir}/nyquist/java


cat > $RPM_BUILD_ROOT%{_bindir}/ny <<EOF
#!/bin/sh
export XLISPPATH=%{_datadir}/nyquist/runtime:%{_datadir}/nyquist/lib
exec %{_libexecdir}/ny \$*
EOF
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/ny

cat > $RPM_BUILD_ROOT%{_bindir}/jny <<EOF
#!/bin/sh
export XLISPPATH=%{_datadir}/nyquist/runtime:%{_datadir}/nyquist/lib
exec java -jar %{_datadir}/nyquist/java/jNyqIDE.jar \$*
EOF
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/jny


%files
%doc Readme.txt license.txt advantages.txt files.txt todo.txt
%doc doc
%{_bindir}/ny
%{_bindir}/jny
%{_libexecdir}/ny
%{_datadir}/nyquist


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 3.04-alt1_7b
- initial fc import

